dofile("scripts/entities/entityinclude.lua")

ompo = 0
n = 0
d = false

function init(me)
	n = getNaija()
end

function update(me)
	if isFlag(FLAG_OMPO, 2) and ompo == 0 then
		ompo = getEntity("Ompo")
	end
	if not d and isFlag(FLAG_OMPO, 2) and node_isEntityIn(me, n) then
		d = true
		entity_idle(n)
		watch(1)
		setCameraLerpDelay(0.5)
		cam_toEntity(ompo)
		watch(1)
		emote(EMOTE_NAIJAUGH)
		watch(1)
		entity_offset(ompo, 0, -32, 0.1, 7, 1)
		playSfx("Ompo")
		watch(1)
		cam_toEntity(n)
		watch(2)
		emote(EMOTE_NAIJASADSIGH)
		watch(1)
		
		setCameraLerpDelay(0)
	end
end

